Subject: bug#51793: FAIL: tests/misc/env-signal-handler

From: Pádraig Brady <[email-masked]>
Date: Fri, 12 Nov 2021 22:33:17 +0000

On 12/11/2021 19:25, Andreas Schwab wrote:
> --- exp-err6   2021-11-11 22:58:04.360716802 +0000
> +++ err6       2021-11-11 22:58:04.752716821 +0000
> @@ -1,2 +1 @@
>   timeout: sending signal INT to command 'env'
> -timeout: sending signal KILL to command 'env'

The above is for the previous command not the following.

> ./tests/misc/env-signal-handler.sh: line 127: 26396 Killed                  env timeout --verbose --kill-after=.1 --signal=INT .1 env --ignore-signal sleep 10 > /dev/null 2> err7t
> FAIL tests/misc/env-signal-handler.sh (exit status: 1)

Could you paste a bit more context from the previous command.
Specifically I'm wondering if the "Killed" message was displayed
(i.e. if the SIGKILL was actually sent).

I presume this is a race that you're seeing rarely.
I've never seen this, and I can't see the race.

What might be happening is the "sending signal KILL..."
message sent to stderr, is in a buffer somewhere,
which is dropped upon processing of SIGKILL.

What file system, kernel, shell are you using.

cheers,
Pádraig